PDA

View Full Version : GDesklets



Cjk
7th November 2004, 03:05 PM
Hi,

I've installed the latest version of gdesklets with yum.

I can see that it is listed under Accessories > gDesklets.

Whenever I click it to run it starts the application (i.e there is a window at the bottom in the toolbar) then after about 5-10 sec's it quits and nothing happens.

I've run gdesklets start from the terminal and get the following msg.
[kinz@localhost kinz]$ gdesklets start
Cannot establish connection to daemon : timeout

How do I get the application to run? I downloaded a clock and havent a clue how to use it.

Any help would be appreciated. :p

stormeagle
7th November 2004, 03:51 PM
I have gdesklets-0.30-1.1.fc2.dag installed and it works fine...

I put gdesklets start in my gnome-session-properties startup programs, and I get something in the system tray. You right-click on that and click Manage desklets. From there you can install a new package, such as your clock.

But as for your timeout problem, gdesklets doesn't have a verbosity option, so I don't know how we can see what it causing that.

Cjk
7th November 2004, 04:36 PM
I have installed the latest version through yum and it says it is installed fine, yet it doesnt run.
Hmmm

[root@localhost kinz]# gnome-session-properties
(gnome-session-properties:6178): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed.

** (gnome-session-properties:6178): CRITICAL **: file gsm-protocol.c: line 648 (gsm_protocol_new): assertion `GNOME_CLIENT_CONNECTED (gnome_client)' failed

** (gnome-session-properties:6178): WARNING **: Could not connect to gnome-session.
[root@localhost kinz]#

Cjk
7th November 2004, 06:56 PM
Ok, ignore everything the above.

I've resolved the problem myself :)

I uninstalled and reinstalled gDesklets with yum and now it opens from Accessories fine. Yay for me.

Basic but i'm learning.

Cjk
7th November 2004, 11:17 PM
:confused: I've noticed that the latest version of gDesklets doesn't work with half the packages.

I tried removing it via yum and reinstalling tna.

Is there a way I can downgrade it?

jil_mcp
8th November 2004, 07:20 AM
Noticed the same thing after installing 0.31 and trying to run some of the standard desklets (e.g. Starterbar). Even tried to install with some of the RPMs people have posted for FC2, but no luck. I spent a whole bottle of asprin trying to get it working and never could. I don't think the folks behind gDesklets do a lot of testing on the Fedora platform. ;-) Kind of a bummer ... but what can you do. Now that FC3 is on the way out, we are sure to see another level of complexity.

imdeemvp
8th November 2004, 08:25 AM
This thread may help: http://www.fedoraforum.org/forum/showthread.php?t=22183

jil_mcp
8th November 2004, 06:49 PM
... of course, there are a lot of bunny trails to follow to get all the info, but *way better* than nothing, yes? ;-)

The main errors I get are the following:

#1 - "File "/usr/local/share/gdesklets/factory/SensorFactory.py", line 83, in create_sensor
sensor = module.new_sensor(args) AttributeError: 'module' object has no attribute 'new_sens"
>> not sure what the heck is going on here... maybe installing a clean RPM would fix(?).

#2 - "OSError: [Errno 2] No such file or directory: '/usr/local/share/gdesklets/Sensors/StarterBar'"
>> not sure why it is looking in /usr/local/ when I specifically installed with a user account so that the displays would be in /home/%user/.gdesklets ...

#3 - Invalid display file '/home/%user/.gdesklets/Displays/starterbar-desklet-0.31/starterbar.display' The display file contains invalid data and could not be loaded.
>> WTF?

Anyway, I probably should just start over and rip my current 0.31 version out, go with an RPM, and try that. But, how many more hours will that consume ... ;-/

Anything pop out here that might speed my efforts?

Jake

johnnyr028
11th November 2004, 10:40 PM
I'm trying to get it running as well.

when I do a yum install gdesklets I get the following messages :

Error: missing dep: libgtop-2.0.so.2 for pkg gdesklets
Error: missing dep: libcrseleng.so.2 for pkg gdesklets
Error: missing dep: libcroco.so.1 for pkg gdesklets
Error: missing dep: libcrlayeng.so.1 for pkg gdesklets

when i do a yum list I see these are installed :
libgtop2.i386 2.8.0-1 installed
libgtop2-devel.i386 2.8.0-1 installed
libcroco.i386 0.6.0-4 installed
libcroco-devel.i386 0.6.0-4 installed

Where do I go from here ?

ajoseph
14th December 2004, 02:46 PM
Please note I am really new to Fedora 3,

I am having the same problem where :
Whenever I click it to run it starts the application (i.e there is a window at the bottom in the toolbar) then after about 5-10 sec's it quits and nothing happens.

I've run gdesklets start from the terminal and get the following msg.
--------
[ajoseph@localhost ~]$ gdesklets start
Starting gdesklets-daemon...
Cannot establish connection to daemon: timeout!
[ajoseph@localhost ~]$
-----------
I have the latest version of : http://dag.wieers.com/packages/gdesklets/gdesklets-0.30-1.1.fc3.rf.i386.rpm
I think I see that I must uninsatll it and install the lower version of i to make gdesklets work.

Two things :
How on earth do I uninsatll it (please dont laught!)
Where can i find the lower version of the package ?

deviant03
16th December 2004, 03:17 PM
How is it that all you guys can do a yum install gdesklets but I cant.. wtf..? All I get is "No Match for argument gdesklets
Nothing to do" Any help would be appreciated.

h4d
16th December 2004, 05:50 PM
I'm trying to get it running as well.

when I do a yum install gdesklets I get the following messages :

Error: missing dep: libgtop-2.0.so.2 for pkg gdesklets
Error: missing dep: libcrseleng.so.2 for pkg gdesklets
Error: missing dep: libcroco.so.1 for pkg gdesklets
Error: missing dep: libcrlayeng.so.1 for pkg gdesklets

when i do a yum list I see these are installed :
libgtop2.i386 2.8.0-1 installed
libgtop2-devel.i386 2.8.0-1 installed
libcroco.i386 0.6.0-4 installed
libcroco-devel.i386 0.6.0-4 installed

Where do I go from here ?
try
rpm --rebuilddb and then yum install gdesklets again.

h4d
16th December 2004, 05:51 PM
How is it that all you guys can do a yum install gdesklets but I cant.. wtf..? All I get is "No Match for argument gdesklets
Nothing to do" Any help would be appreciated.
Do you have the repositories configured? Is DAG's repo enabled? if not use the "--enablerepo dag" switch.